--- haskell-opengl-2.2.3.0.orig/config.status
+++ haskell-opengl-2.2.3.0/config.status
@@ -0,0 +1,1006 @@
+#! /bin/sh
+# Generated by configure.
+# Run this file to recreate the current configuration.
+# Compiler output produced by configure, useful for debugging
+# configure, is in config.log if it exists.
+
+debug=false
+ac_cs_recheck=false
+ac_cs_silent=false
+SHELL=${CONFIG_SHELL-/bin/sh}
+## --------------------- ##
+## M4sh Initialization.  ##
+## --------------------- ##
+
+# Be more Bourne compatible
+DUALCASE=1; export DUALCASE # for MKS sh
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+  emulate sh
+  NULLCMD=:
+  # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
+  # is contrary to our usage.  Disable this feature.
+  alias -g '${1+"$@"}'='"$@"'
+  setopt NO_GLOB_SUBST
+else
+  case `(set -o) 2>/dev/null` in
+  *posix*) set -o posix ;;
+esac
+
+fi
+
+
+
+
+# PATH needs CR
+# Avoid depending upon Character Ranges.
+as_cr_letters='abcdefghijklmnopqrstuvwxyz'
+as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
+as_cr_Letters=$as_cr_letters$as_cr_LETTERS
+as_cr_digits='0123456789'
+as_cr_alnum=$as_cr_Letters$as_cr_digits
+
+as_nl='
+'
+export as_nl
+# Printing a long string crashes Solaris 7 /usr/bin/printf.
+as_echo='\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'
+as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo
+as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo$as_echo
+if (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
+  as_echo='printf %s\n'
+  as_echo_n='printf %s'
+else
+  if test "X`(/usr/ucb/echo -n -n $as_echo) 2>/dev/null`" = "X-n $as_echo"; then
+    as_echo_body='eval /usr/ucb/echo -n "$1$as_nl"'
+    as_echo_n='/usr/ucb/echo -n'
+  else
+    as_echo_body='eval expr "X$1" : "X\\(.*\\)"'
+    as_echo_n_body='eval
+      arg=$1;
+      case $arg in
+      *"$as_nl"*)
+	expr "X$arg" : "X\\(.*\\)$as_nl";
+	arg=`expr "X$arg" : ".*$as_nl\\(.*\\)"`;;
+      esac;
+      expr "X$arg" : "X\\(.*\\)" | tr -d "$as_nl"
+    '
+    export as_echo_n_body
+    as_echo_n='sh -c $as_echo_n_body as_echo'
+  fi
+  export as_echo_body
+  as_echo='sh -c $as_echo_body as_echo'
+fi
+
+# The user is always right.
+if test "${PATH_SEPARATOR+set}" != set; then
+  PATH_SEPARATOR=:
+  (PATH='/bin;/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 && {
+    (PATH='/bin:/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 ||
+      PATH_SEPARATOR=';'
+  }
+fi
+
+# Support unset when possible.
+if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
+  as_unset=unset
+else
+  as_unset=false
+fi
+
+
+# IFS
+# We need space, tab and new line, in precisely that order.  Quoting is
+# there to prevent editors from complaining about space-tab.
+# (If _AS_PATH_WALK were called with IFS unset, it would disable word
+# splitting by setting IFS to empty value.)
+IFS=" ""	$as_nl"
+
+# Find who we are.  Look in the path if we contain no directory separator.
+case $0 in
+  *[\\/]* ) as_myself=$0 ;;
+  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
+done
+IFS=$as_save_IFS
+
+     ;;
+esac
+# We did not find ourselves, most probably we were run as `sh COMMAND'
+# in which case we are not to be found in the path.
+if test "x$as_myself" = x; then
+  as_myself=$0
+fi
+if test ! -f "$as_myself"; then
+  $as_echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
+  { (exit 1); exit 1; }
+fi
+
+# Work around bugs in pre-3.0 UWIN ksh.
+for as_var in ENV MAIL MAILPATH
+do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
+done
+PS1='$ '
+PS2='> '
+PS4='+ '
+
+# NLS nuisances.
+LC_ALL=C
+export LC_ALL
+LANGUAGE=C
+export LANGUAGE
+
+# Required to use basename.
+if expr a : '\(a\)' >/dev/null 2>&1 &&
+   test "X`expr 00001 : '.*\(...\)'`" = X001; then
+  as_expr=expr
+else
+  as_expr=false
+fi
+
+if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
+  as_basename=basename
+else
+  as_basename=false
+fi
+
+
+# Name of the executable.
+as_me=`$as_basename -- "$0" ||
+$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
+	 X"$0" : 'X\(//\)$' \| \
+	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
+$as_echo X/"$0" |
+    sed '/^.*\/\([^/][^/]*\)\/*$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\/\(\/\/\)$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\/\(\/\).*/{
+	    s//\1/
+	    q
+	  }
+	  s/.*/./; q'`
+
+# CDPATH.
+$as_unset CDPATH
+
+
+
+  as_lineno_1=$LINENO
+  as_lineno_2=$LINENO
+  test "x$as_lineno_1" != "x$as_lineno_2" &&
+  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
+
+  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
+  # uniformly replaced by the line number.  The first 'sed' inserts a
+  # line-number line after each line using $LINENO; the second 'sed'
+  # does the real work.  The second script uses 'N' to pair each
+  # line-number line with the line containing $LINENO, and appends
+  # trailing '-' during substitution so that $LINENO is not a special
+  # case at line end.
+  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
+  # scripts with optimization help from Paolo Bonzini.  Blame Lee
+  # E. McMahon (1931-1989) for sed's syntax.  :-)
+  sed -n '
+    p
+    /[$]LINENO/=
+  ' <$as_myself |
+    sed '
+      s/[$]LINENO.*/&-/
+      t lineno
+      b
+      :lineno
+      N
+      :loop
+      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
+      t loop
+      s/-\n.*//
+    ' >$as_me.lineno &&
+  chmod +x "$as_me.lineno" ||
+    { $as_echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
+   { (exit 1); exit 1; }; }
+
+  # Don't try to exec as it changes $[0], causing all sort of problems
+  # (the dirname of $[0] is not the place where we might find the
+  # original and so on.  Autoconf is especially sensitive to this).
+  . "./$as_me.lineno"
+  # Exit status is that of the last command.
+  exit
+}
+
+
+if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
+  as_dirname=dirname
+else
+  as_dirname=false
+fi
+
+ECHO_C= ECHO_N= ECHO_T=
+case `echo -n x` in
+-n*)
+  case `echo 'x\c'` in
+  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
+  *)   ECHO_C='\c';;
+  esac;;
+*)
+  ECHO_N='-n';;
+esac
+if expr a : '\(a\)' >/dev/null 2>&1 &&
+   test "X`expr 00001 : '.*\(...\)'`" = X001; then
+  as_expr=expr
+else
+  as_expr=false
+fi
+
+rm -f conf$$ conf$$.exe conf$$.file
+if test -d conf$$.dir; then
+  rm -f conf$$.dir/conf$$.file
+else
+  rm -f conf$$.dir
+  mkdir conf$$.dir 2>/dev/null
+fi
+if (echo >conf$$.file) 2>/dev/null; then
+  if ln -s conf$$.file conf$$ 2>/dev/null; then
+    as_ln_s='ln -s'
+    # ... but there are two gotchas:
+    # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
+    # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
+    # In both cases, we have to default to `cp -p'.
+    ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
+      as_ln_s='cp -p'
+  elif ln conf$$.file conf$$ 2>/dev/null; then
+    as_ln_s=ln
+  else
+    as_ln_s='cp -p'
+  fi
+else
+  as_ln_s='cp -p'
+fi
+rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
+rmdir conf$$.dir 2>/dev/null
+
+if mkdir -p . 2>/dev/null; then
+  as_mkdir_p=:
+else
+  test -d ./-p && rmdir ./-p
+  as_mkdir_p=false
+fi
+
+if test -x / >/dev/null 2>&1; then
+  as_test_x='test -x'
+else
+  if ls -dL / >/dev/null 2>&1; then
+    as_ls_L_option=L
+  else
+    as_ls_L_option=
+  fi
+  as_test_x='
+    eval sh -c '\''
+      if test -d "$1"; then
+	test -d "$1/.";
+      else
+	case $1 in
+	-*)set "./$1";;
+	esac;
+	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
+	???[sx]*):;;*)false;;esac;fi
+    '\'' sh
+  '
+fi
+as_executable_p=$as_test_x
+
+# Sed expression to map a string onto a valid CPP name.
+as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
+
+# Sed expression to map a string onto a valid variable name.
+as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
+
+
+exec 6>&1
+
+# Save the log message, to keep $[0] and so on meaningful, and to
+# report actual input values of CONFIG_FILES etc. instead of their
+# values after options handling.
+ac_log="
+This file was extended by Haskell OpenGL package $as_me 2.2.3.0, which was
+generated by GNU Autoconf 2.63.  Invocation command line was
+
+  CONFIG_FILES    = $CONFIG_FILES
+  CONFIG_HEADERS  = $CONFIG_HEADERS
+  CONFIG_LINKS    = $CONFIG_LINKS
+  CONFIG_COMMANDS = $CONFIG_COMMANDS
+  $ $0 $@
+
+on `(hostname || uname -n) 2>/dev/null | sed 1q`
+"
+
+# Files that config.status was made for.
+config_files=" OpenGL.buildinfo"
+config_headers=" include/HsOpenGLConfig.h include/HsOpenGL.h"
+
+ac_cs_usage="\
+\`$as_me' instantiates files from templates according to the
+current configuration.
+
+Usage: $0 [OPTION]... [FILE]...
+
+  -h, --help       print this help, then exit
+  -V, --version    print version number and configuration settings, then exit
+  -q, --quiet, --silent
+                   do not print progress messages
+  -d, --debug      don't remove temporary files
+      --recheck    update $as_me by reconfiguring in the same conditions
+      --file=FILE[:TEMPLATE]
+                   instantiate the configuration file FILE
+      --header=FILE[:TEMPLATE]
+                   instantiate the configuration header FILE
+
+Configuration files:
+$config_files
+
+Configuration headers:
+$config_headers
+
+Report bugs to <bug-autoconf@gnu.org>."
+
+ac_cs_version="\
+Haskell OpenGL package config.status 2.2.3.0
+configured by configure, generated by GNU Autoconf 2.63,
+  with options \"'--with-compiler=ghc' '--prefix=/usr' '--libdir=/usr/lib/haskell-packages/ghc6/lib' 'CFLAGS=-g -O2' 'LDFLAGS=' 'CPPFLAGS='\"
+
+Copyright (C) 2008 Free Software Foundation, Inc.
+This config.status script is free software; the Free Software Foundation
+gives unlimited permission to copy, distribute and modify it."
+
+ac_pwd='/home/jojo/debian/pkg-haskell/packages/haskell-opengl-2.2.3.0'
+srcdir='.'
+test -n "$AWK" || AWK=awk
+# The default lists apply if the user does not specify any file.
+ac_need_defaults=:
+while test $# != 0
+do
+  case $1 in
+  --*=*)
+    ac_option=`expr "X$1" : 'X\([^=]*\)='`
+    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
+    ac_shift=:
+    ;;
+  *)
+    ac_option=$1
+    ac_optarg=$2
+    ac_shift=shift
+    ;;
+  esac
+
+  case $ac_option in
+  # Handling of the options.
+  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
+    ac_cs_recheck=: ;;
+  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
+    $as_echo "$ac_cs_version"; exit ;;
+  --debug | --debu | --deb | --de | --d | -d )
+    debug=: ;;
+  --file | --fil | --fi | --f )
+    $ac_shift
+    case $ac_optarg in
+    *\'*) ac_optarg=`$as_echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"` ;;
+    esac
+    CONFIG_FILES="$CONFIG_FILES '$ac_optarg'"
+    ac_need_defaults=false;;
+  --header | --heade | --head | --hea )
+    $ac_shift
+    case $ac_optarg in
+    *\'*) ac_optarg=`$as_echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"` ;;
+    esac
+    CONFIG_HEADERS="$CONFIG_HEADERS '$ac_optarg'"
+    ac_need_defaults=false;;
+  --he | --h)
+    # Conflict between --help and --header
+    { $as_echo "$as_me: error: ambiguous option: $1
+Try \`$0 --help' for more information." >&2
+   { (exit 1); exit 1; }; };;
+  --help | --hel | -h )
+    $as_echo "$ac_cs_usage"; exit ;;
+  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
+  | -silent | --silent | --silen | --sile | --sil | --si | --s)
+    ac_cs_silent=: ;;
+
+  # This is an error.
+  -*) { $as_echo "$as_me: error: unrecognized option: $1
+Try \`$0 --help' for more information." >&2
+   { (exit 1); exit 1; }; } ;;
+
+  *) ac_config_targets="$ac_config_targets $1"
+     ac_need_defaults=false ;;
+
+  esac
+  shift
+done
+
+ac_configure_extra_args=
+
+if $ac_cs_silent; then
+  exec 6>/dev/null
+  ac_configure_extra_args="$ac_configure_extra_args --silent"
+fi
+
+if $ac_cs_recheck; then
+  set X '/bin/sh' 'configure'  '--with-compiler=ghc' '--prefix=/usr' '--libdir=/usr/lib/haskell-packages/ghc6/lib' 'CFLAGS=-g -O2' 'LDFLAGS=' 'CPPFLAGS=' $ac_configure_extra_args --no-create --no-recursion
+  shift
+  $as_echo "running CONFIG_SHELL=/bin/sh $*" >&6
+  CONFIG_SHELL='/bin/sh'
+  export CONFIG_SHELL
+  exec "$@"
+fi
+
+exec 5>>config.log
+{
+  echo
+  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
+## Running $as_me. ##
+_ASBOX
+  $as_echo "$ac_log"
+} >&5
+
+
+# Handling of arguments.
+for ac_config_target in $ac_config_targets
+do
+  case $ac_config_target in
+    "include/HsOpenGLConfig.h") CONFIG_HEADERS="$CONFIG_HEADERS include/HsOpenGLConfig.h" ;;
+    "include/HsOpenGL.h") CONFIG_HEADERS="$CONFIG_HEADERS include/HsOpenGL.h" ;;
+    "OpenGL.buildinfo") CONFIG_FILES="$CONFIG_FILES OpenGL.buildinfo" ;;
+
+  *) { { $as_echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
+$as_echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
+   { (exit 1); exit 1; }; };;
+  esac
+done
+
+
+# If the user did not use the arguments to specify the items to instantiate,
+# then the envvar interface is used.  Set only those that are not.
+# We use the long form for the default assignment because of an extremely
+# bizarre bug on SunOS 4.1.3.
+if $ac_need_defaults; then
+  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
+  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
+fi
+
+# Have a temporary directory for convenience.  Make it in the build tree
+# simply because there is no reason against having it here, and in addition,
+# creating and moving files from /tmp can sometimes cause problems.
+# Hook for its removal unless debugging.
+# Note that there is a small window in which the directory will not be cleaned:
+# after its creation but before its name has been assigned to `$tmp'.
+$debug ||
+{
+  tmp=
+  trap 'exit_status=$?
+  { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
+' 0
+  trap '{ (exit 1); exit 1; }' 1 2 13 15
+}
+# Create a (secure) tmp directory for tmp files.
+
+{
+  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
+  test -n "$tmp" && test -d "$tmp"
+}  ||
+{
+  tmp=./conf$$-$RANDOM
+  (umask 077 && mkdir "$tmp")
+} ||
+{
+   $as_echo "$as_me: cannot create a temporary directory in ." >&2
+   { (exit 1); exit 1; }
+}
+
+# Set up the scripts for CONFIG_FILES section.
+# No need to generate them if there are no CONFIG_FILES.
+# This happens for instance with `./config.status config.h'.
+if test -n "$CONFIG_FILES"; then
+
+
+ac_cr=''
+ac_cs_awk_cr=`$AWK 'BEGIN { print "a\rb" }' </dev/null 2>/dev/null`
+if test "$ac_cs_awk_cr" = "a${ac_cr}b"; then
+  ac_cs_awk_cr='\\r'
+else
+  ac_cs_awk_cr=$ac_cr
+fi
+
+echo 'BEGIN {' >"$tmp/subs1.awk" &&
+cat >>"$tmp/subs1.awk" <<\_ACAWK &&
+S["LTLIBOBJS"]=""
+S["LIBOBJS"]=""
+S["CALLCONV"]="ccall"
+S["BUILD_PACKAGE_BOOL"]="True"
+S["EGREP"]="/bin/grep -E"
+S["GREP"]="/bin/grep"
+S["GLU_LIBS"]=" -lGLU -lGL -lm "
+S["GLU_CFLAGS"]=" "
+S["GL_LIBS"]=" -lGL -lm "
+S["GL_CFLAGS"]=" "
+S["GLUT_FRAMEWORKS"]=""
+S["GLU_FRAMEWORKS"]=""
+S["target_os"]="linux-gnu"
+S["target_vendor"]="unknown"
+S["target_cpu"]="x86_64"
+S["target"]="x86_64-unknown-linux-gnu"
+S["host_os"]="linux-gnu"
+S["host_vendor"]="unknown"
+S["host_cpu"]="x86_64"
+S["host"]="x86_64-unknown-linux-gnu"
+S["build_os"]="linux-gnu"
+S["build_vendor"]="unknown"
+S["build_cpu"]="x86_64"
+S["build"]="x86_64-unknown-linux-gnu"
+S["X_EXTRA_LIBS"]=""
+S["X_LIBS"]=""
+S["X_PRE_LIBS"]=""
+S["X_CFLAGS"]=""
+S["CPP"]="gcc -E"
+S["XMKMF"]=""
+S["OBJEXT"]="o"
+S["EXEEXT"]=""
+S["ac_ct_CC"]="gcc"
+S["CPPFLAGS"]=""
+S["LDFLAGS"]=""
+S["CFLAGS"]="-g -O2"
+S["CC"]="gcc"
+S["target_alias"]=""
+S["host_alias"]=""
+S["build_alias"]=""
+S["LIBS"]=""
+S["ECHO_T"]=""
+S["ECHO_N"]="-n"
+S["ECHO_C"]=""
+S["DEFS"]="-DHAVE_CONFIG_H"
+S["mandir"]="${datarootdir}/man"
+S["localedir"]="${datarootdir}/locale"
+S["libdir"]="/usr/lib/haskell-packages/ghc6/lib"
+S["psdir"]="${docdir}"
+S["pdfdir"]="${docdir}"
+S["dvidir"]="${docdir}"
+S["htmldir"]="${docdir}"
+S["infodir"]="${datarootdir}/info"
+S["docdir"]="${datarootdir}/doc/${PACKAGE_TARNAME}"
+S["oldincludedir"]="/usr/include"
+S["includedir"]="${prefix}/include"
+S["localstatedir"]="${prefix}/var"
+S["sharedstatedir"]="${prefix}/com"
+S["sysconfdir"]="${prefix}/etc"
+S["datadir"]="${datarootdir}"
+S["datarootdir"]="${prefix}/share"
+S["libexecdir"]="${exec_prefix}/libexec"
+S["sbindir"]="${exec_prefix}/sbin"
+S["bindir"]="${exec_prefix}/bin"
+S["program_transform_name"]="s,x,x,"
+S["prefix"]="/usr"
+S["exec_prefix"]="${prefix}"
+S["PACKAGE_BUGREPORT"]="sven.panne@aedion.de"
+S["PACKAGE_STRING"]="Haskell OpenGL package 2.2.3.0"
+S["PACKAGE_VERSION"]="2.2.3.0"
+S["PACKAGE_TARNAME"]="OpenGL"
+S["PACKAGE_NAME"]="Haskell OpenGL package"
+S["PATH_SEPARATOR"]=":"
+S["SHELL"]="/bin/sh"
+_ACAWK
+cat >>"$tmp/subs1.awk" <<_ACAWK &&
+  for (key in S) S_is_set[key] = 1
+  FS = ""
+
+}
+{
+  line = $ 0
+  nfields = split(line, field, "@")
+  substed = 0
+  len = length(field[1])
+  for (i = 2; i < nfields; i++) {
+    key = field[i]
+    keylen = length(key)
+    if (S_is_set[key]) {
+      value = S[key]
+      line = substr(line, 1, len) "" value "" substr(line, len + keylen + 3)
+      len += length(value) + length(field[++i])
+      substed = 1
+    } else
+      len += 1 + keylen
+  }
+
+  print line
+}
+
+_ACAWK
+if sed "s/$ac_cr//" < /dev/null > /dev/null 2>&1; then
+  sed "s/$ac_cr\$//; s/$ac_cr/$ac_cs_awk_cr/g"
+else
+  cat
+fi < "$tmp/subs1.awk" > "$tmp/subs.awk" \
+  || { { $as_echo "$as_me:$LINENO: error: could not setup config files machinery" >&5
+$as_echo "$as_me: error: could not setup config files machinery" >&2;}
+   { (exit 1); exit 1; }; }
+fi # test -n "$CONFIG_FILES"
+
+# Set up the scripts for CONFIG_HEADERS section.
+# No need to generate them if there are no CONFIG_HEADERS.
+# This happens for instance with `./config.status Makefile'.
+if test -n "$CONFIG_HEADERS"; then
+cat >"$tmp/defines.awk" <<\_ACAWK ||
+BEGIN {
+D["PACKAGE_NAME"]=" \"Haskell OpenGL package\""
+D["PACKAGE_TARNAME"]=" \"OpenGL\""
+D["PACKAGE_VERSION"]=" \"2.2.3.0\""
+D["PACKAGE_STRING"]=" \"Haskell OpenGL package 2.2.3.0\""
+D["PACKAGE_BUGREPORT"]=" \"sven.panne@aedion.de\""
+D["STDC_HEADERS"]=" 1"
+D["HAVE_SYS_TYPES_H"]=" 1"
+D["HAVE_SYS_STAT_H"]=" 1"
+D["HAVE_STDLIB_H"]=" 1"
+D["HAVE_STRING_H"]=" 1"
+D["HAVE_MEMORY_H"]=" 1"
+D["HAVE_STRINGS_H"]=" 1"
+D["HAVE_INTTYPES_H"]=" 1"
+D["HAVE_STDINT_H"]=" 1"
+D["HAVE_UNISTD_H"]=" 1"
+D["HAVE_GL_GL_H"]=" 1"
+D["HAVE_GL_GLU_H"]=" 1"
+D["HTYPE_GLBOOLEAN"]=" Word8"
+D["HTYPE_GLBYTE"]=" Int8"
+D["HTYPE_GLUBYTE"]=" Word8"
+D["HTYPE_GLSHORT"]=" Int16"
+D["HTYPE_GLUSHORT"]=" Word16"
+D["HTYPE_GLINT"]=" Int32"
+D["HTYPE_GLUINT"]=" Word32"
+D["HTYPE_GLSIZEI"]=" Int32"
+D["HTYPE_GLENUM"]=" Word32"
+D["HTYPE_GLBITFIELD"]=" Word32"
+D["HTYPE_GLFLOAT"]=" Float"
+D["HTYPE_GLCLAMPF"]=" Float"
+D["HTYPE_GLDOUBLE"]=" Double"
+D["HTYPE_GLCLAMPD"]=" Double"
+D["HTYPE_CHAR"]=" Int8"
+D["HTYPE_GLCHAR"]=" Int8"
+D["HTYPE_PTRDIFF_T"]=" Int64"
+D["HTYPE_GLINTPTR"]=" Int64"
+D["HTYPE_GLSIZEIPTR"]=" Int64"
+D["GLU_CFLAGS"]=" "
+D["GLU_LIBS"]=" \"-lGLU\" ,\"-lGL\" ,\"-lm\""
+D["GLU_FRAMEWORKS"]=" "
+  for (key in D) D_is_set[key] = 1
+  FS = ""
+}
+/^[\t ]*#[\t ]*(define|undef)[\t ]+[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*([\t (]|$)/ {
+  line = $ 0
+  split(line, arg, " ")
+  if (arg[1] == "#") {
+    defundef = arg[2]
+    mac1 = arg[3]
+  } else {
+    defundef = substr(arg[1], 2)
+    mac1 = arg[2]
+  }
+  split(mac1, mac2, "(") #)
+  macro = mac2[1]
+  prefix = substr(line, 1, index(line, defundef) - 1)
+  if (D_is_set[macro]) {
+    # Preserve the white space surrounding the "#".
+    print prefix "define", macro P[macro] D[macro]
+    next
+  } else {
+    # Replace #undef with comments.  This is necessary, for example,
+    # in the case of _POSIX_SOURCE, which is predefined and required
+    # on some systems where configure will not decide to define it.
+    if (defundef == "undef") {
+      print "/*", prefix defundef, macro, "*/"
+      next
+    }
+  }
+}
+{ print }
+_ACAWK
+  { { $as_echo "$as_me:$LINENO: error: could not setup config headers machinery" >&5
+$as_echo "$as_me: error: could not setup config headers machinery" >&2;}
+   { (exit 1); exit 1; }; }
+fi # test -n "$CONFIG_HEADERS"
+
+
+eval set X "  :F $CONFIG_FILES  :H $CONFIG_HEADERS    "
+shift
+for ac_tag
+do
+  case $ac_tag in
+  :[FHLC]) ac_mode=$ac_tag; continue;;
+  esac
+  case $ac_mode$ac_tag in
+  :[FHL]*:*);;
+  :L* | :C*:*) { { $as_echo "$as_me:$LINENO: error: invalid tag $ac_tag" >&5
+$as_echo "$as_me: error: invalid tag $ac_tag" >&2;}
+   { (exit 1); exit 1; }; };;
+  :[FH]-) ac_tag=-:-;;
+  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
+  esac
+  ac_save_IFS=$IFS
+  IFS=:
+  set x $ac_tag
+  IFS=$ac_save_IFS
+  shift
+  ac_file=$1
+  shift
+
+  case $ac_mode in
+  :L) ac_source=$1;;
+  :[FH])
+    ac_file_inputs=
+    for ac_f
+    do
+      case $ac_f in
+      -) ac_f="$tmp/stdin";;
+      *) # Look for the file first in the build tree, then in the source tree
+	 # (if the path is not absolute).  The absolute path cannot be DOS-style,
+	 # because $ac_f cannot contain `:'.
+	 test -f "$ac_f" ||
+	   case $ac_f in
+	   [\\/$]*) false;;
+	   *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
+	   esac ||
+	   { { $as_echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
+$as_echo "$as_me: error: cannot find input file: $ac_f" >&2;}
+   { (exit 1); exit 1; }; };;
+      esac
+      case $ac_f in *\'*) ac_f=`$as_echo "$ac_f" | sed "s/'/'\\\\\\\\''/g"`;; esac
+      ac_file_inputs="$ac_file_inputs '$ac_f'"
+    done
+
+    # Let's still pretend it is `configure' which instantiates (i.e., don't
+    # use $as_me), people would be surprised to read:
+    #    /* config.h.  Generated by config.status.  */
+    configure_input='Generated from '`
+	  $as_echo "$*" | sed 's|^[^:]*/||;s|:[^:]*/|, |g'
+	`' by configure.'
+    if test x"$ac_file" != x-; then
+      configure_input="$ac_file.  $configure_input"
+      { $as_echo "$as_me:$LINENO: creating $ac_file" >&5
+$as_echo "$as_me: creating $ac_file" >&6;}
+    fi
+    # Neutralize special characters interpreted by sed in replacement strings.
+    case $configure_input in #(
+    *\&* | *\|* | *\\* )
+       ac_sed_conf_input=`$as_echo "$configure_input" |
+       sed 's/[\\\\&|]/\\\\&/g'`;; #(
+    *) ac_sed_conf_input=$configure_input;;
+    esac
+
+    case $ac_tag in
+    *:-:* | *:-) cat >"$tmp/stdin" \
+      || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
+$as_echo "$as_me: error: could not create $ac_file" >&2;}
+   { (exit 1); exit 1; }; } ;;
+    esac
+    ;;
+  esac
+
+  ac_dir=`$as_dirname -- "$ac_file" ||
+$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+	 X"$ac_file" : 'X\(//\)[^/]' \| \
+	 X"$ac_file" : 'X\(//\)$' \| \
+	 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
+$as_echo X"$ac_file" |
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)[^/].*/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\).*/{
+	    s//\1/
+	    q
+	  }
+	  s/.*/./; q'`
+  { as_dir="$ac_dir"
+  case $as_dir in #(
+  -*) as_dir=./$as_dir;;
+  esac
+  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
+    as_dirs=
+    while :; do
+      case $as_dir in #(
+      *\'*) as_qdir=`$as_echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #'(
+      *) as_qdir=$as_dir;;
+      esac
+      as_dirs="'$as_qdir' $as_dirs"
+      as_dir=`$as_dirname -- "$as_dir" ||
+$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
+	 X"$as_dir" : 'X\(//\)[^/]' \| \
+	 X"$as_dir" : 'X\(//\)$' \| \
+	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
+$as_echo X"$as_dir" |
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)[^/].*/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\).*/{
+	    s//\1/
+	    q
+	  }
+	  s/.*/./; q'`
+      test -d "$as_dir" && break
+    done
+    test -z "$as_dirs" || eval "mkdir $as_dirs"
+  } || test -d "$as_dir" || { { $as_echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
+$as_echo "$as_me: error: cannot create directory $as_dir" >&2;}
+   { (exit 1); exit 1; }; }; }
+  ac_builddir=.
+
+case "$ac_dir" in
+.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
+*)
+  ac_dir_suffix=/`$as_echo "$ac_dir" | sed 's|^\.[\\/]||'`
+  # A ".." for each directory in $ac_dir_suffix.
+  ac_top_builddir_sub=`$as_echo "$ac_dir_suffix" | sed 's|/[^\\/]*|/..|g;s|/||'`
+  case $ac_top_builddir_sub in
+  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
+  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
+  esac ;;
+esac
+ac_abs_top_builddir=$ac_pwd
+ac_abs_builddir=$ac_pwd$ac_dir_suffix
+# for backward compatibility:
+ac_top_builddir=$ac_top_build_prefix
+
+case $srcdir in
+  .)  # We are building in place.
+    ac_srcdir=.
+    ac_top_srcdir=$ac_top_builddir_sub
+    ac_abs_top_srcdir=$ac_pwd ;;
+  [\\/]* | ?:[\\/]* )  # Absolute name.
+    ac_srcdir=$srcdir$ac_dir_suffix;
+    ac_top_srcdir=$srcdir
+    ac_abs_top_srcdir=$srcdir ;;
+  *) # Relative name.
+    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
+    ac_top_srcdir=$ac_top_build_prefix$srcdir
+    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
+esac
+ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
+
+
+  case $ac_mode in
+  :F)
+  #
+  # CONFIG_FILE
+  #
+
+# If the template does not know about datarootdir, expand it.
+# FIXME: This hack should be removed a few years after 2.60.
+ac_datarootdir_hack=; ac_datarootdir_seen=
+
+ac_sed_dataroot='
+/datarootdir/ {
+  p
+  q
+}
+/@datadir@/p
+/@docdir@/p
+/@infodir@/p
+/@localedir@/p
+/@mandir@/p
+'
+case `eval "sed -n \"\$ac_sed_dataroot\" $ac_file_inputs"` in
+*datarootdir*) ac_datarootdir_seen=yes;;
+*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
+  { $as_echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
+$as_echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
+  ac_datarootdir_hack='
+  s&@datadir@&${datarootdir}&g
+  s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
+  s&@infodir@&${datarootdir}/info&g
+  s&@localedir@&${datarootdir}/locale&g
+  s&@mandir@&${datarootdir}/man&g
+    s&\${datarootdir}&${prefix}/share&g' ;;
+esac
+ac_sed_extra="/^[	 ]*VPATH[	 ]*=/{
+s/:*\$(srcdir):*/:/
+s/:*\${srcdir}:*/:/
+s/:*@srcdir@:*/:/
+s/^\([^=]*=[	 ]*\):*/\1/
+s/:*$//
+s/^[^=]*=[	 ]*$//
+}
+
+:t
+/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
+s|@configure_input@|$ac_sed_conf_input|;t t
+s&@top_builddir@&$ac_top_builddir_sub&;t t
+s&@top_build_prefix@&$ac_top_build_prefix&;t t
+s&@srcdir@&$ac_srcdir&;t t
+s&@abs_srcdir@&$ac_abs_srcdir&;t t
+s&@top_srcdir@&$ac_top_srcdir&;t t
+s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
+s&@builddir@&$ac_builddir&;t t
+s&@abs_builddir@&$ac_abs_builddir&;t t
+s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
+$ac_datarootdir_hack
+"
+eval sed \"\$ac_sed_extra\" "$ac_file_inputs" | $AWK -f "$tmp/subs.awk" >$tmp/out \
+  || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
+$as_echo "$as_me: error: could not create $ac_file" >&2;}
+   { (exit 1); exit 1; }; }
+
+test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
+  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
+  { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
+  { $as_echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
+which seems to be undefined.  Please make sure it is defined." >&5
+$as_echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
+which seems to be undefined.  Please make sure it is defined." >&2;}
+
+  rm -f "$tmp/stdin"
+  case $ac_file in
+  -) cat "$tmp/out" && rm -f "$tmp/out";;
+  *) rm -f "$ac_file" && mv "$tmp/out" "$ac_file";;
+  esac \
+  || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
+$as_echo "$as_me: error: could not create $ac_file" >&2;}
+   { (exit 1); exit 1; }; }
+ ;;
+  :H)
+  #
+  # CONFIG_HEADER
+  #
+  if test x"$ac_file" != x-; then
+    {
+      $as_echo "/* $configure_input  */" \
+      && eval '$AWK -f "$tmp/defines.awk"' "$ac_file_inputs"
+    } >"$tmp/config.h" \
+      || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
+$as_echo "$as_me: error: could not create $ac_file" >&2;}
+   { (exit 1); exit 1; }; }
+    if diff "$ac_file" "$tmp/config.h" >/dev/null 2>&1; then
+      { $as_echo "$as_me:$LINENO: $ac_file is unchanged" >&5
+$as_echo "$as_me: $ac_file is unchanged" >&6;}
+    else
+      rm -f "$ac_file"
+      mv "$tmp/config.h" "$ac_file" \
+	|| { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5
+$as_echo "$as_me: error: could not create $ac_file" >&2;}
+   { (exit 1); exit 1; }; }
+    fi
+  else
+    $as_echo "/* $configure_input  */" \
+      && eval '$AWK -f "$tmp/defines.awk"' "$ac_file_inputs" \
+      || { { $as_echo "$as_me:$LINENO: error: could not create -" >&5
+$as_echo "$as_me: error: could not create -" >&2;}
+   { (exit 1); exit 1; }; }
+  fi
+ ;;
+
+
+  esac
+
+done # for ac_tag
+
+
+{ (exit 0); exit 0; }
--- haskell-opengl-2.2.3.0.orig/config.log
+++ haskell-opengl-2.2.3.0/config.log
@@ -0,0 +1,931 @@
+This file contains any messages produced by compilers while
+running configure, to aid debugging if configure makes a mistake.
+
+It was created by Haskell OpenGL package configure 2.2.3.0, which was
+generated by GNU Autoconf 2.63.  Invocation command line was
+
+  $ configure --with-compiler=ghc --prefix=/usr --libdir=/usr/lib/haskell-packages/ghc6/lib
+
+## --------- ##
+## Platform. ##
+## --------- ##
+
+hostname = kirk
+uname -m = x86_64
+uname -r = 2.6.32-trunk-amd64
+uname -s = Linux
+uname -v = #1 SMP Sun Jan 10 22:40:40 UTC 2010
+
+/usr/bin/uname -p = unknown
+/bin/uname -X     = unknown
+
+/bin/arch              = unknown
+/usr/bin/arch -k       = unknown
+/usr/convex/getsysinfo = unknown
+/usr/bin/hostinfo      = unknown
+/bin/machine           = unknown
+/usr/bin/oslevel       = unknown
+/bin/universe          = unknown
+
+PATH: /usr/sbin
+PATH: /usr/bin
+PATH: /sbin
+PATH: /bin
+PATH: /usr/bin/X11
+
+
+## ----------- ##
+## Core tests. ##
+## ----------- ##
+
+configure:1916: checking for gcc
+configure:1932: found /usr/bin/gcc
+configure:1943: result: gcc
+configure:2175: checking for C compiler version
+configure:2183: gcc --version >&5
+gcc (Debian 4.4.3-2) 4.4.3
+Copyright (C) 2010 Free Software Foundation, Inc.
+This is free software; see the source for copying conditions.  There is NO
+warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+configure:2187: $? = 0
+configure:2194: gcc -v >&5
+Using built-in specs.
+Target: x86_64-linux-gnu
+Configured with: ../src/configure -v --with-pkgversion='Debian 4.4.3-2' --with-bugurl=file:///usr/share/doc/gcc-4.4/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --enable-shared --enable-multiarch --enable-linker-build-id --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.4 --program-suffix=-4.4 --enable-nls --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --with-arch-32=i486 --with-tune=generic --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
+Thread model: posix
+gcc version 4.4.3 (Debian 4.4.3-2) 
+configure:2198: $? = 0
+configure:2205: gcc -V >&5
+gcc: '-V' option must have argument
+configure:2209: $? = 1
+configure:2232: checking for C compiler default output file name
+configure:2254: gcc -g -O2   conftest.c  >&5
+configure:2258: $? = 0
+configure:2296: result: a.out
+configure:2315: checking whether the C compiler works
+configure:2325: ./a.out
+configure:2329: $? = 0
+configure:2348: result: yes
+configure:2355: checking whether we are cross compiling
+configure:2357: result: no
+configure:2360: checking for suffix of executables
+configure:2367: gcc -o conftest -g -O2   conftest.c  >&5
+configure:2371: $? = 0
+configure:2397: result: 
+configure:2403: checking for suffix of object files
+configure:2429: gcc -c -g -O2  conftest.c >&5
+configure:2433: $? = 0
+configure:2458: result: o
+configure:2462: checking whether we are using the GNU C compiler
+configure:2491: gcc -c -g -O2  conftest.c >&5
+configure:2498: $? = 0
+configure:2515: result: yes
+configure:2524: checking whether gcc accepts -g
+configure:2554: gcc -c -g  conftest.c >&5
+configure:2561: $? = 0
+configure:2662: result: yes
+configure:2679: checking for gcc option to accept ISO C89
+configure:2753: gcc  -c -g -O2  conftest.c >&5
+configure:2760: $? = 0
+configure:2783: result: none needed
+configure:2802: checking for Windows environment
+configure:2832: gcc -c -g -O2  conftest.c >&5
+conftest.c: In function 'main':
+conftest.c:14: error: 'syntax' undeclared (first use in this function)
+conftest.c:14: error: (Each undeclared identifier is reported only once
+conftest.c:14: error: for each function it appears in.)
+conftest.c:14: error: expected ';' before 'error'
+configure:2839: $? = 1
+configure: failed program was:
+| /* confdefs.h.  */
+| #define PACKAGE_NAME "Haskell OpenGL package"
+| #define PACKAGE_TARNAME "OpenGL"
+| #define PACKAGE_VERSION "2.2.3.0"
+| #define PACKAGE_STRING "Haskell OpenGL package 2.2.3.0"
+| #define PACKAGE_BUGREPORT "sven.panne@aedion.de"
+| /* end confdefs.h.  */
+| 
+| int
+| main ()
+| {
+| 
+| #if !_WIN32
+|    syntax error;
+| #endif
+| 
+|   ;
+|   return 0;
+| }
+configure:2854: result: no
+configure:2862: checking how to run the C preprocessor
+configure:2902: gcc -E  conftest.c
+configure:2909: $? = 0
+configure:2940: gcc -E  conftest.c
+conftest.c:8:28: error: ac_nonexistent.h: No such file or directory
+configure:2947: $? = 1
+configure: failed program was:
+| /* confdefs.h.  */
+| #define PACKAGE_NAME "Haskell OpenGL package"
+| #define PACKAGE_TARNAME "OpenGL"
+| #define PACKAGE_VERSION "2.2.3.0"
+| #define PACKAGE_STRING "Haskell OpenGL package 2.2.3.0"
+| #define PACKAGE_BUGREPORT "sven.panne@aedion.de"
+| /* end confdefs.h.  */
+| #include <ac_nonexistent.h>
+configure:2980: result: gcc -E
+configure:3009: gcc -E  conftest.c
+configure:3016: $? = 0
+configure:3047: gcc -E  conftest.c
+conftest.c:8:28: error: ac_nonexistent.h: No such file or directory
+configure:3054: $? = 1
+configure: failed program was:
+| /* confdefs.h.  */
+| #define PACKAGE_NAME "Haskell OpenGL package"
+| #define PACKAGE_TARNAME "OpenGL"
+| #define PACKAGE_VERSION "2.2.3.0"
+| #define PACKAGE_STRING "Haskell OpenGL package 2.2.3.0"
+| #define PACKAGE_BUGREPORT "sven.panne@aedion.de"
+| /* end confdefs.h.  */
+| #include <ac_nonexistent.h>
+configure:3094: checking for X
+configure:3265: gcc -o conftest -g -O2   conftest.c -lX11  >&5
+configure:3272: $? = 0
+configure:3334: result: libraries , headers 
+configure:3507: gcc -o conftest -g -O2   conftest.c   -lX11 >&5
+configure:3514: $? = 0
+configure:3682: checking for gethostbyname
+configure:3738: gcc -o conftest -g -O2   conftest.c  >&5
+configure:3745: $? = 0
+configure:3765: result: yes
+configure:3918: checking for connect
+configure:3974: gcc -o conftest -g -O2   conftest.c  >&5
+configure:3981: $? = 0
+configure:4001: result: yes
+configure:4077: checking for remove
+configure:4133: gcc -o conftest -g -O2   conftest.c  >&5
+configure:4140: $? = 0
+configure:4160: result: yes
+configure:4236: checking for shmat
+configure:4292: gcc -o conftest -g -O2   conftest.c  >&5
+configure:4299: $? = 0
+configure:4319: result: yes
+configure:4404: checking for IceConnectionNumber in -lICE
+configure:4439: gcc -o conftest -g -O2   conftest.c -lICE   >&5
+/usr/bin/ld: cannot find -lICE
+collect2: ld returned 1 exit status
+configure:4446: $? = 1
+configure: failed program was:
+| /* confdefs.h.  */
+| #define PACKAGE_NAME "Haskell OpenGL package"
+| #define PACKAGE_TARNAME "OpenGL"
+| #define PACKAGE_VERSION "2.2.3.0"
+| #define PACKAGE_STRING "Haskell OpenGL package 2.2.3.0"
+| #define PACKAGE_BUGREPORT "sven.panne@aedion.de"
+| /* end confdefs.h.  */
+| 
+| /* Override any GCC internal prototype to avoid an error.
+|    Use char because int might match the return type of a GCC
+|    builtin and then its argument prototype would still apply.  */
+| #ifdef __cplusplus
+| extern "C"
+| #endif
+| char IceConnectionNumber ();
+| int
+| main ()
+| {
+| return IceConnectionNumber ();
+|   ;
+|   return 0;
+| }
+configure:4467: result: no
+configure:4516: checking build system type
+configure:4534: result: x86_64-unknown-linux-gnu
+configure:4556: checking host system type
+configure:4571: result: x86_64-unknown-linux-gnu
+configure:4593: checking target system type
+configure:4608: result: x86_64-unknown-linux-gnu
+configure:4667: checking for atan
+configure:4723: gcc -o conftest -g -O2   conftest.c  >&5
+conftest.c:31: warning: conflicting types for built-in function 'atan'
+/tmp/cceglErS.o: In function `main':
+/home/jojo/debian/pkg-haskell/packages/haskell-opengl-2.2.3.0/conftest.c:42: undefined reference to `atan'
+collect2: ld returned 1 exit status
+configure:4730: $? = 1
+configure: failed program was:
+| /* confdefs.h.  */
+| #define PACKAGE_NAME "Haskell OpenGL package"
+| #define PACKAGE_TARNAME "OpenGL"
+| #define PACKAGE_VERSION "2.2.3.0"
+| #define PACKAGE_STRING "Haskell OpenGL package 2.2.3.0"
+| #define PACKAGE_BUGREPORT "sven.panne@aedion.de"
+| /* end confdefs.h.  */
+| /* Define atan to an innocuous variant, in case <limits.h> declares atan.
+|    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+| #define atan innocuous_atan
+| 
+| /* System header to define __stub macros and hopefully few prototypes,
+|     which can conflict with char atan (); below.
+|     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+|     <limits.h> exists even on freestanding compilers.  */
+| 
+| #ifdef __STDC__
+| # include <limits.h>
+| #else
+| # include <assert.h>
+| #endif
+| 
+| #undef atan
+| 
+| /* Override any GCC internal prototype to avoid an error.
+|    Use char because int might match the return type of a GCC
+|    builtin and then its argument prototype would still apply.  */
+| #ifdef __cplusplus
+| extern "C"
+| #endif
+| char atan ();
+| /* The GNU C library defines this for functions which it implements
+|     to always fail with ENOSYS.  Some functions are actually named
+|     something starting with __ and the normal name is an alias.  */
+| #if defined __stub_atan || defined __stub___atan
+| choke me
+| #endif
+| 
+| int
+| main ()
+| {
+| return atan ();
+|   ;
+|   return 0;
+| }
+configure:4750: result: no
+configure:4759: checking for atan in -lm
+configure:4794: gcc -o conftest -g -O2   conftest.c -lm   >&5
+conftest.c:15: warning: conflicting types for built-in function 'atan'
+configure:4801: $? = 0
+configure:4822: result: yes
+configure:4835: checking for GL library
+configure:4871: gcc -o conftest -g -O2    conftest.c -lGL -lm   >&5
+configure:4878: $? = 0
+configure:4901: result: -lGL -lm 
+configure:4982: checking for GLU library
+configure:5018: gcc -o conftest -g -O2    conftest.c -lglu32 -lGL -lm   >&5
+/usr/bin/ld: cannot find -lglu32
+collect2: ld returned 1 exit status
+configure:5025: $? = 1
+configure: failed program was:
+| /* confdefs.h.  */
+| #define PACKAGE_NAME "Haskell OpenGL package"
+| #define PACKAGE_TARNAME "OpenGL"
+| #define PACKAGE_VERSION "2.2.3.0"
+| #define PACKAGE_STRING "Haskell OpenGL package 2.2.3.0"
+| #define PACKAGE_BUGREPORT "sven.panne@aedion.de"
+| /* end confdefs.h.  */
+| #include <GL/glu.h>
+| int
+| main ()
+| {
+| gluNewQuadric()
+|   ;
+|   return 0;
+| }
+configure:5018: gcc -o conftest -g -O2    conftest.c -lGLU -lGL -lm   >&5
+configure:5025: $? = 0
+configure:5048: result: -lGLU -lGL -lm 
+configure:5083: checking for grep that handles long lines and -e
+configure:5143: result: /bin/grep
+configure:5148: checking for egrep
+configure:5212: result: /bin/grep -E
+configure:5217: checking for ANSI C header files
+configure:5247: gcc -c -g -O2   conftest.c >&5
+configure:5254: $? = 0
+configure:5353: gcc -o conftest -g -O2    conftest.c  >&5
+configure:5357: $? = 0
+configure:5363: ./conftest
+configure:5367: $? = 0
+configure:5385: result: yes
+configure:5409: checking for sys/types.h
+configure:5430: gcc -c -g -O2   conftest.c >&5
+configure:5437: $? = 0
+configure:5454: result: yes
+configure:5409: checking for sys/stat.h
+configure:5430: gcc -c -g -O2   conftest.c >&5
+configure:5437: $? = 0
+configure:5454: result: yes
+configure:5409: checking for stdlib.h
+configure:5430: gcc -c -g -O2   conftest.c >&5
+configure:5437: $? = 0
+configure:5454: result: yes
+configure:5409: checking for string.h
+configure:5430: gcc -c -g -O2   conftest.c >&5
+configure:5437: $? = 0
+configure:5454: result: yes
+configure:5409: checking for memory.h
+configure:5430: gcc -c -g -O2   conftest.c >&5
+configure:5437: $? = 0
+configure:5454: result: yes
+configure:5409: checking for strings.h
+configure:5430: gcc -c -g -O2   conftest.c >&5
+configure:5437: $? = 0
+configure:5454: result: yes
+configure:5409: checking for inttypes.h
+configure:5430: gcc -c -g -O2   conftest.c >&5
+configure:5437: $? = 0
+configure:5454: result: yes
+configure:5409: checking for stdint.h
+configure:5430: gcc -c -g -O2   conftest.c >&5
+configure:5437: $? = 0
+configure:5454: result: yes
+configure:5409: checking for unistd.h
+configure:5430: gcc -c -g -O2   conftest.c >&5
+configure:5437: $? = 0
+configure:5454: result: yes
+configure:5485: checking GL/gl.h usability
+configure:5502: gcc -c -g -O2   conftest.c >&5
+configure:5509: $? = 0
+configure:5523: result: yes
+configure:5527: checking GL/gl.h presence
+configure:5542: gcc -E   conftest.c
+configure:5549: $? = 0
+configure:5563: result: yes
+configure:5596: checking for GL/gl.h
+configure:5605: result: yes
+configure:5485: checking OpenGL/gl.h usability
+configure:5502: gcc -c -g -O2   conftest.c >&5
+conftest.c:52:23: error: OpenGL/gl.h: No such file or directory
+configure:5509: $? = 1
+configure: failed program was:
+| /* confdefs.h.  */
+| #define PACKAGE_NAME "Haskell OpenGL package"
+| #define PACKAGE_TARNAME "OpenGL"
+| #define PACKAGE_VERSION "2.2.3.0"
+| #define PACKAGE_STRING "Haskell OpenGL package 2.2.3.0"
+| #define PACKAGE_BUGREPORT "sven.panne@aedion.de"
+| #define STDC_HEADERS 1
+| #define HAVE_SYS_TYPES_H 1
+| #define HAVE_SYS_STAT_H 1
+| #define HAVE_STDLIB_H 1
+| #define HAVE_STRING_H 1
+| #define HAVE_MEMORY_H 1
+| #define HAVE_STRINGS_H 1
+| #define HAVE_INTTYPES_H 1
+| #define HAVE_STDINT_H 1
+| #define HAVE_UNISTD_H 1
+| #define HAVE_GL_GL_H 1
+| /* end confdefs.h.  */
+| #include <stdio.h>
+| #ifdef HAVE_SYS_TYPES_H
+| # include <sys/types.h>
+| #endif
+| #ifdef HAVE_SYS_STAT_H
+| # include <sys/stat.h>
+| #endif
+| #ifdef STDC_HEADERS
+| # include <stdlib.h>
+| # include <stddef.h>
+| #else
+| # ifdef HAVE_STDLIB_H
+| #  include <stdlib.h>
+| # endif
+| #endif
+| #ifdef HAVE_STRING_H
+| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
+| #  include <memory.h>
+| # endif
+| # include <string.h>
+| #endif
+| #ifdef HAVE_STRINGS_H
+| # include <strings.h>
+| #endif
+| #ifdef HAVE_INTTYPES_H
+| # include <inttypes.h>
+| #endif
+| #ifdef HAVE_STDINT_H
+| # include <stdint.h>
+| #endif
+| #ifdef HAVE_UNISTD_H
+| # include <unistd.h>
+| #endif
+| #include <OpenGL/gl.h>
+configure:5523: result: no
+configure:5527: checking OpenGL/gl.h presence
+configure:5542: gcc -E   conftest.c
+conftest.c:19:23: error: OpenGL/gl.h: No such file or directory
+configure:5549: $? = 1
+configure: failed program was:
+| /* confdefs.h.  */
+| #define PACKAGE_NAME "Haskell OpenGL package"
+| #define PACKAGE_TARNAME "OpenGL"
+| #define PACKAGE_VERSION "2.2.3.0"
+| #define PACKAGE_STRING "Haskell OpenGL package 2.2.3.0"
+| #define PACKAGE_BUGREPORT "sven.panne@aedion.de"
+| #define STDC_HEADERS 1
+| #define HAVE_SYS_TYPES_H 1
+| #define HAVE_SYS_STAT_H 1
+| #define HAVE_STDLIB_H 1
+| #define HAVE_STRING_H 1
+| #define HAVE_MEMORY_H 1
+| #define HAVE_STRINGS_H 1
+| #define HAVE_INTTYPES_H 1
+| #define HAVE_STDINT_H 1
+| #define HAVE_UNISTD_H 1
+| #define HAVE_GL_GL_H 1
+| /* end confdefs.h.  */
+| #include <OpenGL/gl.h>
+configure:5563: result: no
+configure:5596: checking for OpenGL/gl.h
+configure:5605: result: no
+configure:5637: checking GL/glu.h usability
+configure:5654: gcc -c -g -O2   conftest.c >&5
+configure:5661: $? = 0
+configure:5675: result: yes
+configure:5679: checking GL/glu.h presence
+configure:5694: gcc -E   conftest.c
+configure:5701: $? = 0
+configure:5715: result: yes
+configure:5748: checking for GL/glu.h
+configure:5757: result: yes
+configure:5637: checking OpenGL/glu.h usability
+configure:5654: gcc -c -g -O2   conftest.c >&5
+conftest.c:53:24: error: OpenGL/glu.h: No such file or directory
+configure:5661: $? = 1
+configure: failed program was:
+| /* confdefs.h.  */
+| #define PACKAGE_NAME "Haskell OpenGL package"
+| #define PACKAGE_TARNAME "OpenGL"
+| #define PACKAGE_VERSION "2.2.3.0"
+| #define PACKAGE_STRING "Haskell OpenGL package 2.2.3.0"
+| #define PACKAGE_BUGREPORT "sven.panne@aedion.de"
+| #define STDC_HEADERS 1
+| #define HAVE_SYS_TYPES_H 1
+| #define HAVE_SYS_STAT_H 1
+| #define HAVE_STDLIB_H 1
+| #define HAVE_STRING_H 1
+| #define HAVE_MEMORY_H 1
+| #define HAVE_STRINGS_H 1
+| #define HAVE_INTTYPES_H 1
+| #define HAVE_STDINT_H 1
+| #define HAVE_UNISTD_H 1
+| #define HAVE_GL_GL_H 1
+| #define HAVE_GL_GLU_H 1
+| /* end confdefs.h.  */
+| #include <stdio.h>
+| #ifdef HAVE_SYS_TYPES_H
+| # include <sys/types.h>
+| #endif
+| #ifdef HAVE_SYS_STAT_H
+| # include <sys/stat.h>
+| #endif
+| #ifdef STDC_HEADERS
+| # include <stdlib.h>
+| # include <stddef.h>
+| #else
+| # ifdef HAVE_STDLIB_H
+| #  include <stdlib.h>
+| # endif
+| #endif
+| #ifdef HAVE_STRING_H
+| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
+| #  include <memory.h>
+| # endif
+| # include <string.h>
+| #endif
+| #ifdef HAVE_STRINGS_H
+| # include <strings.h>
+| #endif
+| #ifdef HAVE_INTTYPES_H
+| # include <inttypes.h>
+| #endif
+| #ifdef HAVE_STDINT_H
+| # include <stdint.h>
+| #endif
+| #ifdef HAVE_UNISTD_H
+| # include <unistd.h>
+| #endif
+| #include <OpenGL/glu.h>
+configure:5675: result: no
+configure:5679: checking OpenGL/glu.h presence
+configure:5694: gcc -E   conftest.c
+conftest.c:20:24: error: OpenGL/glu.h: No such file or directory
+configure:5701: $? = 1
+configure: failed program was:
+| /* confdefs.h.  */
+| #define PACKAGE_NAME "Haskell OpenGL package"
+| #define PACKAGE_TARNAME "OpenGL"
+| #define PACKAGE_VERSION "2.2.3.0"
+| #define PACKAGE_STRING "Haskell OpenGL package 2.2.3.0"
+| #define PACKAGE_BUGREPORT "sven.panne@aedion.de"
+| #define STDC_HEADERS 1
+| #define HAVE_SYS_TYPES_H 1
+| #define HAVE_SYS_STAT_H 1
+| #define HAVE_STDLIB_H 1
+| #define HAVE_STRING_H 1
+| #define HAVE_MEMORY_H 1
+| #define HAVE_STRINGS_H 1
+| #define HAVE_INTTYPES_H 1
+| #define HAVE_STDINT_H 1
+| #define HAVE_UNISTD_H 1
+| #define HAVE_GL_GL_H 1
+| #define HAVE_GL_GLU_H 1
+| /* end confdefs.h.  */
+| #include <OpenGL/glu.h>
+configure:5715: result: no
+configure:5748: checking for OpenGL/glu.h
+configure:5757: result: no
+configure:5786: checking Haskell type for GLboolean
+configure:5888: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:85: warning: incompatible implicit declaration of built-in function 'exit'
+configure:5892: $? = 0
+configure:5898: ./conftest
+configure:5902: $? = 0
+configure:5921: result: Word8
+configure:5933: checking Haskell type for GLbyte
+configure:6035: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:86: warning: incompatible implicit declaration of built-in function 'exit'
+configure:6039: $? = 0
+configure:6045: ./conftest
+configure:6049: $? = 0
+configure:6068: result: Int8
+configure:6080: checking Haskell type for GLubyte
+configure:6182: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:87: warning: incompatible implicit declaration of built-in function 'exit'
+configure:6186: $? = 0
+configure:6192: ./conftest
+configure:6196: $? = 0
+configure:6215: result: Word8
+configure:6227: checking Haskell type for GLshort
+configure:6329: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:88: warning: incompatible implicit declaration of built-in function 'exit'
+configure:6333: $? = 0
+configure:6339: ./conftest
+configure:6343: $? = 0
+configure:6362: result: Int16
+configure:6374: checking Haskell type for GLushort
+configure:6476: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:89: warning: incompatible implicit declaration of built-in function 'exit'
+configure:6480: $? = 0
+configure:6486: ./conftest
+configure:6490: $? = 0
+configure:6509: result: Word16
+configure:6521: checking Haskell type for GLint
+configure:6623: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:90: warning: incompatible implicit declaration of built-in function 'exit'
+configure:6627: $? = 0
+configure:6633: ./conftest
+configure:6637: $? = 0
+configure:6656: result: Int32
+configure:6668: checking Haskell type for GLuint
+configure:6770: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:91: warning: incompatible implicit declaration of built-in function 'exit'
+configure:6774: $? = 0
+configure:6780: ./conftest
+configure:6784: $? = 0
+configure:6803: result: Word32
+configure:6815: checking Haskell type for GLsizei
+configure:6917: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:92: warning: incompatible implicit declaration of built-in function 'exit'
+configure:6921: $? = 0
+configure:6927: ./conftest
+configure:6931: $? = 0
+configure:6950: result: Int32
+configure:6962: checking Haskell type for GLenum
+configure:7064: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:93: warning: incompatible implicit declaration of built-in function 'exit'
+configure:7068: $? = 0
+configure:7074: ./conftest
+configure:7078: $? = 0
+configure:7097: result: Word32
+configure:7109: checking Haskell type for GLbitfield
+configure:7211: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:94: warning: incompatible implicit declaration of built-in function 'exit'
+configure:7215: $? = 0
+configure:7221: ./conftest
+configure:7225: $? = 0
+configure:7244: result: Word32
+configure:7256: checking Haskell type for GLfloat
+configure:7358: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:95: warning: incompatible implicit declaration of built-in function 'exit'
+configure:7362: $? = 0
+configure:7368: ./conftest
+configure:7372: $? = 0
+configure:7391: result: Float
+configure:7403: checking Haskell type for GLclampf
+configure:7505: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:96: warning: incompatible implicit declaration of built-in function 'exit'
+configure:7509: $? = 0
+configure:7515: ./conftest
+configure:7519: $? = 0
+configure:7538: result: Float
+configure:7550: checking Haskell type for GLdouble
+configure:7652: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:97: warning: incompatible implicit declaration of built-in function 'exit'
+configure:7656: $? = 0
+configure:7662: ./conftest
+configure:7666: $? = 0
+configure:7685: result: Double
+configure:7697: checking Haskell type for GLclampd
+configure:7799: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:98: warning: incompatible implicit declaration of built-in function 'exit'
+configure:7803: $? = 0
+configure:7809: ./conftest
+configure:7813: $? = 0
+configure:7832: result: Double
+configure:7846: checking Haskell type for char
+configure:7948: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:99: warning: incompatible implicit declaration of built-in function 'exit'
+configure:7952: $? = 0
+configure:7958: ./conftest
+configure:7962: $? = 0
+configure:7981: result: Int8
+configure:7993: checking Haskell type for GLchar
+configure:8095: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:100: warning: incompatible implicit declaration of built-in function 'exit'
+configure:8099: $? = 0
+configure:8105: ./conftest
+configure:8109: $? = 0
+configure:8128: result: Int8
+configure:8142: checking Haskell type for ptrdiff_t
+configure:8244: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:101: warning: incompatible implicit declaration of built-in function 'exit'
+configure:8248: $? = 0
+configure:8254: ./conftest
+configure:8258: $? = 0
+configure:8277: result: Int64
+configure:8289: checking Haskell type for GLintptr
+configure:8391: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:102: warning: incompatible implicit declaration of built-in function 'exit'
+configure:8395: $? = 0
+configure:8401: ./conftest
+configure:8405: $? = 0
+configure:8424: result: Int64
+configure:8436: checking Haskell type for GLsizeiptr
+configure:8538: gcc -o conftest -g -O2    conftest.c  >&5
+conftest.c: In function 'main':
+conftest.c:103: warning: incompatible implicit declaration of built-in function 'exit'
+configure:8542: $? = 0
+configure:8548: ./conftest
+configure:8552: $? = 0
+configure:8571: result: Int64
+configure:8721: creating ./config.status
+
+## ---------------------- ##
+## Running config.status. ##
+## ---------------------- ##
+
+This file was extended by Haskell OpenGL package config.status 2.2.3.0, which was
+generated by GNU Autoconf 2.63.  Invocation command line was
+
+  CONFIG_FILES    = 
+  CONFIG_HEADERS  = 
+  CONFIG_LINKS    = 
+  CONFIG_COMMANDS = 
+  $ ./config.status 
+
+on kirk
+
+config.status:771: creating OpenGL.buildinfo
+config.status:771: creating include/HsOpenGLConfig.h
+config.status:771: creating include/HsOpenGL.h
+config.status:982: include/HsOpenGL.h is unchanged
+
+## ---------------- ##
+## Cache variables. ##
+## ---------------- ##
+
+ac_cv_build=x86_64-unknown-linux-gnu
+ac_cv_c_compiler_gnu=yes
+ac_cv_env_CC_set=
+ac_cv_env_CC_value=
+ac_cv_env_CFLAGS_set=set
+ac_cv_env_CFLAGS_value='-g -O2'
+ac_cv_env_CPPFLAGS_set=set
+ac_cv_env_CPPFLAGS_value=
+ac_cv_env_CPP_set=
+ac_cv_env_CPP_value=
+ac_cv_env_LDFLAGS_set=set
+ac_cv_env_LDFLAGS_value=
+ac_cv_env_LIBS_set=
+ac_cv_env_LIBS_value=
+ac_cv_env_XMKMF_set=
+ac_cv_env_XMKMF_value=
+ac_cv_env_build_alias_set=
+ac_cv_env_build_alias_value=
+ac_cv_env_host_alias_set=
+ac_cv_env_host_alias_value=
+ac_cv_env_target_alias_set=
+ac_cv_env_target_alias_value=
+ac_cv_func_atan=no
+ac_cv_func_connect=yes
+ac_cv_func_gethostbyname=yes
+ac_cv_func_remove=yes
+ac_cv_func_shmat=yes
+ac_cv_have_x='have_x=yes	ac_x_includes='\'''\''	ac_x_libraries='\'''\'''
+ac_cv_header_GL_gl_h=yes
+ac_cv_header_GL_glu_h=yes
+ac_cv_header_OpenGL_gl_h=no
+ac_cv_header_OpenGL_glu_h=no
+ac_cv_header_inttypes_h=yes
+ac_cv_header_memory_h=yes
+ac_cv_header_stdc=yes
+ac_cv_header_stdint_h=yes
+ac_cv_header_stdlib_h=yes
+ac_cv_header_string_h=yes
+ac_cv_header_strings_h=yes
+ac_cv_header_sys_stat_h=yes
+ac_cv_header_sys_types_h=yes
+ac_cv_header_unistd_h=yes
+ac_cv_host=x86_64-unknown-linux-gnu
+ac_cv_lib_ICE_IceConnectionNumber=no
+ac_cv_lib_m_atan=yes
+ac_cv_objext=o
+ac_cv_path_EGREP='/bin/grep -E'
+ac_cv_path_GREP=/bin/grep
+ac_cv_prog_CPP='gcc -E'
+ac_cv_prog_ac_ct_CC=gcc
+ac_cv_prog_cc_c89=
+ac_cv_prog_cc_g=yes
+ac_cv_target=x86_64-unknown-linux-gnu
+fp_cv_check_GLU_lib='-lGLU -lGL -lm '
+fp_cv_check_GL_lib='-lGL -lm '
+fp_cv_is_win32=no
+fptools_cv_htype_GLbitfield=Word32
+fptools_cv_htype_GLboolean=Word8
+fptools_cv_htype_GLbyte=Int8
+fptools_cv_htype_GLchar=Int8
+fptools_cv_htype_GLclampd=Double
+fptools_cv_htype_GLclampf=Float
+fptools_cv_htype_GLdouble=Double
+fptools_cv_htype_GLenum=Word32
+fptools_cv_htype_GLfloat=Float
+fptools_cv_htype_GLint=Int32
+fptools_cv_htype_GLintptr=Int64
+fptools_cv_htype_GLshort=Int16
+fptools_cv_htype_GLsizei=Int32
+fptools_cv_htype_GLsizeiptr=Int64
+fptools_cv_htype_GLubyte=Word8
+fptools_cv_htype_GLuint=Word32
+fptools_cv_htype_GLushort=Word16
+fptools_cv_htype_char=Int8
+fptools_cv_htype_ptrdiff_t=Int64
+fptools_cv_htype_sup_GLbitfield=yes
+fptools_cv_htype_sup_GLboolean=yes
+fptools_cv_htype_sup_GLbyte=yes
+fptools_cv_htype_sup_GLchar=yes
+fptools_cv_htype_sup_GLclampd=yes
+fptools_cv_htype_sup_GLclampf=yes
+fptools_cv_htype_sup_GLdouble=yes
+fptools_cv_htype_sup_GLenum=yes
+fptools_cv_htype_sup_GLfloat=yes
+fptools_cv_htype_sup_GLint=yes
+fptools_cv_htype_sup_GLintptr=yes
+fptools_cv_htype_sup_GLshort=yes
+fptools_cv_htype_sup_GLsizei=yes
+fptools_cv_htype_sup_GLsizeiptr=yes
+fptools_cv_htype_sup_GLubyte=yes
+fptools_cv_htype_sup_GLuint=yes
+fptools_cv_htype_sup_GLushort=yes
+fptools_cv_htype_sup_char=yes
+fptools_cv_htype_sup_ptrdiff_t=yes
+
+## ----------------- ##
+## Output variables. ##
+## ----------------- ##
+
+BUILD_PACKAGE_BOOL='True'
+CALLCONV='ccall'
+CC='gcc'
+CFLAGS='-g -O2'
+CPP='gcc -E'
+CPPFLAGS=''
+DEFS='-DHAVE_CONFIG_H'
+ECHO_C=''
+ECHO_N='-n'
+ECHO_T=''
+EGREP='/bin/grep -E'
+EXEEXT=''
+GLUT_FRAMEWORKS=''
+GLU_CFLAGS=' '
+GLU_FRAMEWORKS=''
+GLU_LIBS=' -lGLU -lGL -lm '
+GL_CFLAGS=' '
+GL_LIBS=' -lGL -lm '
+GREP='/bin/grep'
+LDFLAGS=''
+LIBOBJS=''
+LIBS=''
+LTLIBOBJS=''
+OBJEXT='o'
+PACKAGE_BUGREPORT='sven.panne@aedion.de'
+PACKAGE_NAME='Haskell OpenGL package'
+PACKAGE_STRING='Haskell OpenGL package 2.2.3.0'
+PACKAGE_TARNAME='OpenGL'
+PACKAGE_VERSION='2.2.3.0'
+PATH_SEPARATOR=':'
+SHELL='/bin/sh'
+XMKMF=''
+X_CFLAGS=''
+X_EXTRA_LIBS=''
+X_LIBS=''
+X_PRE_LIBS=''
+ac_ct_CC='gcc'
+bindir='${exec_prefix}/bin'
+build='x86_64-unknown-linux-gnu'
+build_alias=''
+build_cpu='x86_64'
+build_os='linux-gnu'
+build_vendor='unknown'
+datadir='${datarootdir}'
+datarootdir='${prefix}/share'
+docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
+dvidir='${docdir}'
+exec_prefix='${prefix}'
+host='x86_64-unknown-linux-gnu'
+host_alias=''
+host_cpu='x86_64'
+host_os='linux-gnu'
+host_vendor='unknown'
+htmldir='${docdir}'
+includedir='${prefix}/include'
+infodir='${datarootdir}/info'
+libdir='/usr/lib/haskell-packages/ghc6/lib'
+libexecdir='${exec_prefix}/libexec'
+localedir='${datarootdir}/locale'
+localstatedir='${prefix}/var'
+mandir='${datarootdir}/man'
+oldincludedir='/usr/include'
+pdfdir='${docdir}'
+prefix='/usr'
+program_transform_name='s,x,x,'
+psdir='${docdir}'
+sbindir='${exec_prefix}/sbin'
+sharedstatedir='${prefix}/com'
+sysconfdir='${prefix}/etc'
+target='x86_64-unknown-linux-gnu'
+target_alias=''
+target_cpu='x86_64'
+target_os='linux-gnu'
+target_vendor='unknown'
+
+## ----------- ##
+## confdefs.h. ##
+## ----------- ##
+
+#define PACKAGE_NAME "Haskell OpenGL package"
+#define PACKAGE_TARNAME "OpenGL"
+#define PACKAGE_VERSION "2.2.3.0"
+#define PACKAGE_STRING "Haskell OpenGL package 2.2.3.0"
+#define PACKAGE_BUGREPORT "sven.panne@aedion.de"
+#define STDC_HEADERS 1
+#define HAVE_SYS_TYPES_H 1
+#define HAVE_SYS_STAT_H 1
+#define HAVE_STDLIB_H 1
+#define HAVE_STRING_H 1
+#define HAVE_MEMORY_H 1
+#define HAVE_STRINGS_H 1
+#define HAVE_INTTYPES_H 1
+#define HAVE_STDINT_H 1
+#define HAVE_UNISTD_H 1
+#define HAVE_GL_GL_H 1
+#define HAVE_GL_GLU_H 1
+#define HTYPE_GLBOOLEAN Word8
+#define HTYPE_GLBYTE Int8
+#define HTYPE_GLUBYTE Word8
+#define HTYPE_GLSHORT Int16
+#define HTYPE_GLUSHORT Word16
+#define HTYPE_GLINT Int32
+#define HTYPE_GLUINT Word32
+#define HTYPE_GLSIZEI Int32
+#define HTYPE_GLENUM Word32
+#define HTYPE_GLBITFIELD Word32
+#define HTYPE_GLFLOAT Float
+#define HTYPE_GLCLAMPF Float
+#define HTYPE_GLDOUBLE Double
+#define HTYPE_GLCLAMPD Double
+#define HTYPE_CHAR Int8
+#define HTYPE_GLCHAR Int8
+#define HTYPE_PTRDIFF_T Int64
+#define HTYPE_GLINTPTR Int64
+#define HTYPE_GLSIZEIPTR Int64
+#define GLU_CFLAGS 
+#define GLU_LIBS "-lGLU" ,"-lGL" ,"-lm"
+#define GLU_FRAMEWORKS 
+
+configure: exit 0
--- haskell-opengl-2.2.3.0.orig/OpenGL.buildinfo
+++ haskell-opengl-2.2.3.0/OpenGL.buildinfo
@@ -0,0 +1,8 @@
+-- OpenGL.buildinfo.  Generated from OpenGL.buildinfo.in by configure.
+-- System-dependent values used by Distribution.Simple.defaultUserHooks
+--
+buildable: True
+ghc-options: -DCALLCONV=ccall
+cc-options: -DCALLCONV=ccall  
+ld-options:  -lGLU -lGL -lm 
+frameworks: 
--- haskell-opengl-2.2.3.0.orig/include/HsOpenGLConfig.h
+++ haskell-opengl-2.2.3.0/include/HsOpenGLConfig.h
@@ -0,0 +1,131 @@
+/* include/HsOpenGLConfig.h.  Generated from HsOpenGLConfig.h.in by configure.  */
+/* include/HsOpenGLConfig.h.in.  Generated from configure.ac by autoheader.  */
+
+/* C flags for GLU, as a list of string literals. */
+#define GLU_CFLAGS 
+
+/* Framework flags for GLU, as a list of string literals. */
+#define GLU_FRAMEWORKS 
+
+/* Library flags for GLU, as a list of string literals. */
+#define GLU_LIBS "-lGLU" ,"-lGL" ,"-lm"
+
+/* Define to 1 if you have the <GL/glu.h> header file. */
+#define HAVE_GL_GLU_H 1
+
+/* Define to 1 if you have the <GL/gl.h> header file. */
+#define HAVE_GL_GL_H 1
+
+/* Define to 1 if you have the <inttypes.h> header file. */
+#define HAVE_INTTYPES_H 1
+
+/* Define to 1 if you have the <memory.h> header file. */
+#define HAVE_MEMORY_H 1
+
+/* Define to 1 if you have the <OpenGL/glu.h> header file. */
+/* #undef HAVE_OPENGL_GLU_H */
+
+/* Define to 1 if you have the <OpenGL/gl.h> header file. */
+/* #undef HAVE_OPENGL_GL_H */
+
+/* Define to 1 if you have the <stdint.h> header file. */
+#define HAVE_STDINT_H 1
+
+/* Define to 1 if you have the <stdlib.h> header file. */
+#define HAVE_STDLIB_H 1
+
+/* Define to 1 if you have the <strings.h> header file. */
+#define HAVE_STRINGS_H 1
+
+/* Define to 1 if you have the <string.h> header file. */
+#define HAVE_STRING_H 1
+
+/* Define to 1 if you have the <sys/stat.h> header file. */
+#define HAVE_SYS_STAT_H 1
+
+/* Define to 1 if you have the <sys/types.h> header file. */
+#define HAVE_SYS_TYPES_H 1
+
+/* Define to 1 if you have the <unistd.h> header file. */
+#define HAVE_UNISTD_H 1
+
+/* Define to Haskell type for char */
+#define HTYPE_CHAR Int8
+
+/* Define to Haskell type for GLbitfield */
+#define HTYPE_GLBITFIELD Word32
+
+/* Define to Haskell type for GLboolean */
+#define HTYPE_GLBOOLEAN Word8
+
+/* Define to Haskell type for GLbyte */
+#define HTYPE_GLBYTE Int8
+
+/* Define to Haskell type for GLchar */
+#define HTYPE_GLCHAR Int8
+
+/* Define to Haskell type for GLclampd */
+#define HTYPE_GLCLAMPD Double
+
+/* Define to Haskell type for GLclampf */
+#define HTYPE_GLCLAMPF Float
+
+/* Define to Haskell type for GLdouble */
+#define HTYPE_GLDOUBLE Double
+
+/* Define to Haskell type for GLenum */
+#define HTYPE_GLENUM Word32
+
+/* Define to Haskell type for GLfloat */
+#define HTYPE_GLFLOAT Float
+
+/* Define to Haskell type for GLint */
+#define HTYPE_GLINT Int32
+
+/* Define to Haskell type for GLintptr */
+#define HTYPE_GLINTPTR Int64
+
+/* Define to Haskell type for GLshort */
+#define HTYPE_GLSHORT Int16
+
+/* Define to Haskell type for GLsizei */
+#define HTYPE_GLSIZEI Int32
+
+/* Define to Haskell type for GLsizeiptr */
+#define HTYPE_GLSIZEIPTR Int64
+
+/* Define to Haskell type for GLubyte */
+#define HTYPE_GLUBYTE Word8
+
+/* Define to Haskell type for GLuint */
+#define HTYPE_GLUINT Word32
+
+/* Define to Haskell type for GLushort */
+#define HTYPE_GLUSHORT Word16
+
+/* Define to Haskell type for ptrdiff_t */
+#define HTYPE_PTRDIFF_T Int64
+
+/* Define to the address where bug reports for this package should be sent. */
+#define PACKAGE_BUGREPORT "sven.panne@aedion.de"
+
+/* Define to the full name of this package. */
+#define PACKAGE_NAME "Haskell OpenGL package"
+
+/* Define to the full name and version of this package. */
+#define PACKAGE_STRING "Haskell OpenGL package 2.2.3.0"
+
+/* Define to the one symbol short name of this package. */
+#define PACKAGE_TARNAME "OpenGL"
+
+/* Define to the version of this package. */
+#define PACKAGE_VERSION "2.2.3.0"
+
+/* Define to 1 if you have the ANSI C header files. */
+#define STDC_HEADERS 1
+
+/* Define to 1 if native OpenGL should be used on Mac OS X */
+/* #undef USE_QUARTZ_OPENGL */
+
+/* Define to 1 if the X Window System is missing or not being used. */
+/* #undef X_DISPLAY_MISSING */
